> ## Documentation Index
> Fetch the complete documentation index at: https://docs.holacati.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Song search

> Search for a song



## OpenAPI

````yaml api-reference/openapi-music.json get /songsearch
openapi: 3.0.0
info:
  title: Catalina Music API
  version: 1.0.0
  description: An API to search for music, get song URLs, and find artist's top tracks.
servers:
  - url: /
security: []
paths:
  /songsearch:
    get:
      summary: Search for a song
      description: Search for a song
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: The search query for the song or artist.
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - track
              - artist
          description: The type of search to perform.
      responses:
        '200':
          description: Successful response with song information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Song'
components:
  schemas:
    Song:
      type: object
      properties:
        query:
          type: string
        type:
          type: string
        title:
          type: string
        artist:
          type: string
        image_url:
          type: string
          format: uri

````